# -*- coding: utf-8 -*-
# Generated by the protocol buffer compiler.  DO NOT EDIT!
# source: users/v1/users.proto
"""Generated protocol buffer code."""
from google.protobuf.internal import builder as _builder
from google.protobuf import descriptor as _descriptor
from google.protobuf import descriptor_pool as _descriptor_pool
from google.protobuf import symbol_database as _symbol_database
# @@protoc_insertion_point(imports)

_sym_db = _symbol_database.Default()




DESCRIPTOR = _descriptor_pool.Default().AddSerializedFile(b'\n\x14users/v1/users.proto\x12\x08users.v1\"\xc1\x02\n\x04User\x12\x13\n\x02id\x18\x01 \x01(\x05H\x00R\x02id\x88\x01\x01\x12\x1a\n\x08username\x18\x02 \x01(\tR\x08username\x12\x19\n\x05\x65mail\x18\x03 \x01(\tH\x01R\x05\x65mail\x88\x01\x01\x12\x1f\n\x08password\x18\x04 \x01(\tH\x02R\x08password\x88\x01\x01\x12\"\n\nfirst_name\x18\x05 \x01(\tH\x03R\tfirstName\x88\x01\x01\x12 \n\tlast_name\x18\x06 \x01(\tH\x04R\x08lastName\x88\x01\x01\x12\x1d\n\x07\x61\x64\x64ress\x18\x07 \x01(\tH\x05R\x07\x61\x64\x64ress\x88\x01\x01\x12\x17\n\x04\x63ity\x18\x08 \x01(\tH\x06R\x04\x63ity\x88\x01\x01\x42\x05\n\x03_idB\x08\n\x06_emailB\x0b\n\t_passwordB\r\n\x0b_first_nameB\x0c\n\n_last_nameB\n\n\x08_addressB\x07\n\x05_city\"9\n\x11ListUsersResponse\x12$\n\x05users\x18\x01 \x03(\x0b\x32\x0e.users.v1.UserR\x05users\"7\n\x11\x43reateUserRequest\x12\"\n\x04user\x18\x01 \x01(\x0b\x32\x0e.users.v1.UserR\x04user\"8\n\x12\x43reateUserResponse\x12\"\n\x04user\x18\x01 \x01(\x0b\x32\x0e.users.v1.UserR\x04user\" \n\x0eGetUserRequest\x12\x0e\n\x02id\x18\x01 \x01(\tR\x02id\"5\n\x0fGetUserResponse\x12\"\n\x04user\x18\x01 \x01(\x0b\x32\x0e.users.v1.UserR\x04user\"7\n\x11UpdateUserRequest\x12\"\n\x04user\x18\x01 \x01(\x0b\x32\x0e.users.v1.UserR\x04user\"8\n\x12UpdateUserResponse\x12\"\n\x04user\x18\x01 \x01(\x0b\x32\x0e.users.v1.UserR\x04user\"#\n\x11\x44\x65leteUserRequest\x12\x0e\n\x02id\x18\x01 \x01(\tR\x02id\"\x12\n\x10ListUsersRequest\"\x15\n\x13OnUserEventsRequest\"\x14\n\x12\x44\x65leteUserResponse\"N\n\x14OnUserEventsResponse\x12\x36\n\nevent_type\x18\x01 \x01(\x0e\x32\x17.users.v1.UserEventTypeR\teventType*\x87\x01\n\rUserEventType\x12\x1f\n\x1bUSER_EVENT_TYPE_UNSPECIFIED\x10\x00\x12\x1b\n\x17USER_EVENT_TYPE_CREATED\x10\x01\x12\x1b\n\x17USER_EVENT_TYPE_UPDATED\x10\x02\x12\x1b\n\x17USER_EVENT_TYPE_DELETED\x10\x03\x32\xcb\x03\n\x0bUserService\x12Q\n\x0cOnUserEvents\x12\x1d.users.v1.OnUserEventsRequest\x1a\x1e.users.v1.OnUserEventsResponse\"\x00\x30\x01\x12\x46\n\tListUsers\x12\x1a.users.v1.ListUsersRequest\x1a\x1b.users.v1.ListUsersResponse\"\x00\x12I\n\nCreateUser\x12\x1b.users.v1.CreateUserRequest\x1a\x1c.users.v1.CreateUserResponse\"\x00\x12@\n\x07GetUser\x12\x18.users.v1.GetUserRequest\x1a\x19.users.v1.GetUserResponse\"\x00\x12I\n\nUpdateUser\x12\x1b.users.v1.UpdateUserRequest\x1a\x1c.users.v1.UpdateUserResponse\"\x00\x12I\n\nDeleteUser\x12\x1b.users.v1.DeleteUserRequest\x1a\x1c.users.v1.DeleteUserResponse\"\x00\x62\x06proto3')

_builder.BuildMessageAndEnumDescriptors(DESCRIPTOR, globals())
_builder.BuildTopDescriptorsAndMessages(DESCRIPTOR, 'users.v1.users_pb2', globals())
if _descriptor._USE_C_DESCRIPTORS == False:

  DESCRIPTOR._options = None
  _USEREVENTTYPE._serialized_start=919
  _USEREVENTTYPE._serialized_end=1054
  _USER._serialized_start=35
  _USER._serialized_end=356
  _LISTUSERSRESPONSE._serialized_start=358
  _LISTUSERSRESPONSE._serialized_end=415
  _CREATEUSERREQUEST._serialized_start=417
  _CREATEUSERREQUEST._serialized_end=472
  _CREATEUSERRESPONSE._serialized_start=474
  _CREATEUSERRESPONSE._serialized_end=530
  _GETUSERREQUEST._serialized_start=532
  _GETUSERREQUEST._serialized_end=564
  _GETUSERRESPONSE._serialized_start=566
  _GETUSERRESPONSE._serialized_end=619
  _UPDATEUSERREQUEST._serialized_start=621
  _UPDATEUSERREQUEST._serialized_end=676
  _UPDATEUSERRESPONSE._serialized_start=678
  _UPDATEUSERRESPONSE._serialized_end=734
  _DELETEUSERREQUEST._serialized_start=736
  _DELETEUSERREQUEST._serialized_end=771
  _LISTUSERSREQUEST._serialized_start=773
  _LISTUSERSREQUEST._serialized_end=791
  _ONUSEREVENTSREQUEST._serialized_start=793
  _ONUSEREVENTSREQUEST._serialized_end=814
  _DELETEUSERRESPONSE._serialized_start=816
  _DELETEUSERRESPONSE._serialized_end=836
  _ONUSEREVENTSRESPONSE._serialized_start=838
  _ONUSEREVENTSRESPONSE._serialized_end=916
  _USERSERVICE._serialized_start=1057
  _USERSERVICE._serialized_end=1516
# @@protoc_insertion_point(module_scope)
